package com.hzya.frame.sys.thirdparty.api.parameter.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import java.util.List;

/**
 * @description: 第三方应用接口参数表
 * @tableName:   sys_thirdparty_api_parameter
 * @entityName:  SysThirdpartyapiParameter
 * @author: 	 llg
 * @history:	 1.0
 */
public class  SysThirdpartyapiParameter  extends BaseEntity {

	/** 唯一标识码 */
	private String id;
	/** 接口id */
	private String thirdpartyApiId;
	/** 参数名 */
	private String name;
	/** 是否预置 */
	private String preset;
	/** 参数类型 */
	private String parameterType;
	/** 数据类型 */
	private String dataType;
	/** 数据规范 */
	private String dataSpecification;
	/** 是否必填 */
	private String requireds;
	/** 参数说明 */
	private String parameterDescription;
	/** 参数格式 */
	private String parameterFormat;
	/** 上级id */
	private String upId;
	/** 类型 */
	private String type;
	/** 层级 */
	private Integer lvl;
	/** 是否成功与失败判定 */
	private String successOrFalse;
	/** 成功标志判断条件 */
	private String successJudgmentCondition;
	/** 成功标志值 */
	private String successJudgmentValue;
	/** 失败标志判断条件 */
	private String falseJudgmentCondition;
	/** 失败标志值 */
	private String falseJudgmentValue;
	/** 是否提示参数指定 */
	private String promptParameter;
	/** 是否需要转译 */
	private String translation;
	/** 转义json */
	private String escapedJson;
	/** 排序号 */
	private Long sorts;
	/** 创建人id */
	private String orgId;
	/** 状态(Y正常N删除) */
	private String sts;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 修改人id */
	private String modifyUserId;
	private String sort;
	private String order;
	private List<SysThirdpartyapiParameter> sysThirdpartyapiParameterList;

	/** 接口id */
	public void setThirdpartyApiId(String thirdpartyApiId) {
		this.thirdpartyApiId = thirdpartyApiId;
	}
	/** 接口id */
	public String getThirdpartyApiId() {
		return thirdpartyApiId;
	}
	/** 参数名 */
	public void setName(String name) {
		this.name = name;
	}
	/** 参数名 */
	public String getName() {
		return name;
	}
	/** 是否预置 */
	public void setPreset(String preset) {
		this.preset = preset;
	}
	/** 是否预置 */
	public String getPreset() {
		return preset;
	}
	/** 参数类型 */
	public void setParameterType(String parameterType) {
		this.parameterType = parameterType;
	}
	/** 参数类型 */
	public String getParameterType() {
		return parameterType;
	}
	/** 数据类型 */
	public void setDataType(String dataType) {
		this.dataType = dataType;
	}
	/** 数据类型 */
	public String getDataType() {
		return dataType;
	}
	/** 数据规范 */
	public void setDataSpecification(String dataSpecification) {
		this.dataSpecification = dataSpecification;
	}
	/** 数据规范 */
	public String getDataSpecification() {
		return dataSpecification;
	}
	/** 是否必填 */
	public void setRequireds(String requireds) {
		this.requireds = requireds;
	}
	/** 是否必填 */
	public String getRequireds() {
		return requireds;
	}
	/** 参数说明 */
	public void setParameterDescription(String parameterDescription) {
		this.parameterDescription = parameterDescription;
	}
	/** 参数说明 */
	public String getParameterDescription() {
		return parameterDescription;
	}
	/** 参数格式 */
	public void setParameterFormat(String parameterFormat) {
		this.parameterFormat = parameterFormat;
	}
	/** 参数格式 */
	public String getParameterFormat() {
		return parameterFormat;
	}
	/** 上级id */
	public void setUpId(String upId) {
		this.upId = upId;
	}
	/** 上级id */
	public String getUpId() {
		return upId;
	}
	/** 类型 */
	public void setType(String type) {
		this.type = type;
	}
	/** 类型 */
	public String getType() {
		return type;
	}
	/** 是否成功与失败判定 */
	public void setSuccessOrFalse(String successOrFalse) {
		this.successOrFalse = successOrFalse;
	}
	/** 是否成功与失败判定 */
	public String getSuccessOrFalse() {
		return successOrFalse;
	}
	/** 成功标志判断条件 */
	public void setSuccessJudgmentCondition(String successJudgmentCondition) {
		this.successJudgmentCondition = successJudgmentCondition;
	}
	/** 成功标志判断条件 */
	public String getSuccessJudgmentCondition() {
		return successJudgmentCondition;
	}
	/** 成功标志值 */
	public void setSuccessJudgmentValue(String successJudgmentValue) {
		this.successJudgmentValue = successJudgmentValue;
	}
	/** 成功标志值 */
	public String getSuccessJudgmentValue() {
		return successJudgmentValue;
	}
	/** 失败标志判断条件 */
	public void setFalseJudgmentCondition(String falseJudgmentCondition) {
		this.falseJudgmentCondition = falseJudgmentCondition;
	}
	/** 失败标志判断条件 */
	public String getFalseJudgmentCondition() {
		return falseJudgmentCondition;
	}
	/** 失败标志值 */
	public void setFalseJudgmentValue(String falseJudgmentValue) {
		this.falseJudgmentValue = falseJudgmentValue;
	}
	/** 失败标志值 */
	public String getFalseJudgmentValue() {
		return falseJudgmentValue;
	}
	/** 是否提示参数指定 */
	public void setPromptParameter(String promptParameter) {
		this.promptParameter = promptParameter;
	}
	/** 是否提示参数指定 */
	public String getPromptParameter() {
		return promptParameter;
	}
	/** 是否需要转译 */
	public void setTranslation(String translation) {
		this.translation = translation;
	}
	/** 是否需要转译 */
	public String getTranslation() {
		return translation;
	}
	/** 转义json */
	public void setEscapedJson(String escapedJson) {
		this.escapedJson = escapedJson;
	}
	/** 转义json */
	public String getEscapedJson() {
		return escapedJson;
	}
	/** 排序号 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序号 */
	public Long getSorts() {
		return sorts;
	}
	/** 创建人id */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 创建人id */
	public String getOrgId() {
		return orgId;
	}

	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}


	public List<SysThirdpartyapiParameter> getSysThirdpartyapiParameterList() {
		return sysThirdpartyapiParameterList;
	}

	public void setSysThirdpartyapiParameterList(List<SysThirdpartyapiParameter> sysThirdpartyapiParameterList) {
		this.sysThirdpartyapiParameterList = sysThirdpartyapiParameterList;
	}

	public Integer getLvl() {
		return lvl;
	}

	public void setLvl(Integer lvl) {
		this.lvl = lvl;
	}



	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}

	@Override
	public String getSts() {
		return sts;
	}

	@Override
	public void setSts(String sts) {
		this.sts = sts;
	}

	@Override
	public String getSort() {
		return sort;
	}

	@Override
	public void setSort(String sort) {
		this.sort = sort;
	}

	@Override
	public String getOrder() {
		return order;
	}

	@Override
	public void setOrder(String order) {
		this.order = order;
	}
}
